Bug 1121353 - gpg-key2ps does not work
Summary: gpg-key2ps does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgp-tools
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 17:23 UTC by Sebastian Bergmann
Modified: 2014-09-02 06:39 UTC (History)
2 users (show)

Fixed In Version: pgp-tools-1.1.5-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 06:39:46 UTC


Attachments (Terms of Use)

Description Sebastian Bergmann 2014-07-19 17:23:41 UTC
gpg-key2ps       
Bareword found where operator expected at /usr/bin/gpg-key2ps line 98, near "print STDERR "Warning"
  (Might be a runaway multi-line "" string starting on line 93)
	(Do you need to predeclare print?)
String found where operator expected at /usr/bin/gpg-key2ps line 106, near "open(GPG, ""
  (Might be a runaway multi-line "" string starting on line 98)
	(Missing semicolon on previous line?)
Bareword found where operator expected at /usr/bin/gpg-key2ps line 106, near "--list"
	(Missing operator before list?)
Bareword found where operator expected at /usr/bin/gpg-key2ps line 106, near "--with"
	(Missing operator before with?)
Bareword found where operator expected at /usr/bin/gpg-key2ps line 106, near "--with"
	(Missing operator before with?)
String found where operator expected at /usr/bin/gpg-key2ps line 106, near "colons '". (join "'"
	(Do you need to predeclare colons?)
String found where operator expected at /usr/bin/gpg-key2ps line 106, near "'". (join "' '", @ARGV) ."'"
	(Missing operator before  '", @ARGV) ."'?)
String found where operator expected at /usr/bin/gpg-key2ps line 207, near "} elsif ( $revokestyle eq ""
  (Might be a runaway multi-line "" string starting on line 194)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 219, near "} elsif ( $revokestyle eq ""
  (Might be a runaway multi-line "" string starting on line 207)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 224, near "} elsif ( $revokestyle eq ""
  (Might be a runaway multi-line "" string starting on line 219)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 266, near "$_ = ""
  (Might be a runaway multi-line "" string starting on line 224)
	(Missing semicolon on previous line?)
Bareword found where operator expected at /usr/bin/gpg-key2ps line 266, near ") fpr"
	(Missing operator before fpr?)
Backslash found where operator expected at /usr/bin/gpg-key2ps line 266, near "fpr\"
String found where operator expected at /usr/bin/gpg-key2ps line 270, near "$_ = `echo ""
  (Might be a runaway multi-line "" string starting on line 266)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 274, near "next if $revokestyle eq ""
  (Might be a runaway multi-line "" string starting on line 270)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 281, near "next if (!$showsubkeys) || $revokestyle eq ""
  (Might be a runaway multi-line "" string starting on line 274)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 290, near "print STDERR ""
  (Might be a runaway multi-line "" string starting on line 281)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 376, near "B<note> add ""
  (Might be a runaway multi-line "" string starting on line 290)
	(Missing semicolon on previous line?)
String found where operator expected at /usr/bin/gpg-key2ps line 376, at end of line
	(Missing semicolon on previous line?)
syntax error at /usr/bin/gpg-key2ps line 98, near "print STDERR "Warning"
Global symbol "$fpr" requires explicit package name at /usr/bin/gpg-key2ps line 266.
Can't find string terminator '"' anywhere before EOF at /usr/bin/gpg-key2ps line 376.

Comment 1 Frank 2014-08-22 20:51:02 UTC
$ diff gpg-key2ps gpg-key2ps~
93c93
< 	$h=`paperconf -h | tr "," "."`;
---
> 	$h=`paperconf -h` | tr "," "."`;
                                   ^^^
please delete the backtick in line 93 and it's work fine

bye
  Frank

Comment 2 Fedora Update System 2014-08-23 14:30:47 UTC
pgp-tools-1.1.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pgp-tools-1.1.5-4.fc20

Comment 3 Fedora Update System 2014-08-24 02:57:07 UTC
Package pgp-tools-1.1.5-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pgp-tools-1.1.5-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9733/pgp-tools-1.1.5-4.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-24 14:24:20 UTC
pgp-tools-1.1.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pgp-tools-1.1.5-4.fc19

Comment 5 Sebastian Bergmann 2014-08-24 14:28:59 UTC
pgp-tools-1.1.5-4.fc20 works for me, thanks.

Comment 6 Fedora Update System 2014-09-02 06:39:46 UTC
pgp-tools-1.1.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.